/*
** parameters.hh
** Login : <nico@Altarion.marmotte.ath.cx>
** Started on  Tue Dec  3 21:24:01 2002 Nicolas
** $Id: parameters.hh,v 1.1 2002/12/09 11:26:50 speedblue Exp $
** 
** Copyright (C) 2002 Nicolas
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
** 
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#ifndef   	PARAMETERS_HH_
# define   	PARAMETERS_HH_

#include &lt;iostream&gt;
#include &lt;string&gt;

namespace Data
{
  class Parameters
  {
   public:
    Parameters() :
      _param1(0.0), _param2(false),
      _param2(0), _param4(\"\")
    {}

    const float&	get_param1() const {return _param1; }
    float&		get_param1() {return _param1; }
    void		set_param1(const float& param1) {_param1 = param1; }

    const bool&		get_param2() const {return _param2; }
    bool&		get_param2() {return _param2; }
    void		set_param2(const bool& param2) {_param2 = param2; }

    const int&		get_param3() const {return _param3; }
    int&		get_param3() {return _param3; }
    void		set_param3(const int& param3) {_param3 = param3; }

    const std::string&	get_param4() const {return _param4; }
    std::string&	get_param4() {return _param4; }
    void		set_param3(const std::string& param4) 
    {_param4 = param4; }

   protected:
    float	_param1; 
    bool	_param2; 
    int		_param3; 
    std::string	_param4; 

    public:
      void print(std::ostream& s) const
        {
	  s << _param1 << ' ' << _param2
	    << ' ' << _param3 << ' ' << _param4
	    << std::endl;
        }
  };

  //Code outside classe declaration
  inline std::ostream& operator<<(std::ostream& s, const Parameters& p)
  {
    p.print(s);
    return s;
  }
}

#endif	    /* !PARAMETERS_HH_ */
